/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _CBASECHARACTERTIMER_H
#define _CBASECHARACTERTIMER_H

#include "CTimer.h"


class CBaseCharacterTimer : public CTimer
{
public:
	CBaseCharacterTimer(CTimerFactory *fac,long pulses,CCharacter *pCh)
	:CTimer(fac,pulses)
	,m_pCharacter(pCh) {}
	~CBaseCharacterTimer() {}

	MyString GetExtra() { return m_pCharacter -> GetName(); }
	CCharacter *GetCharacter() { return m_pCharacter; }

private:
	CCharacter *m_pCharacter;
};




#endif // _CBASECHARACTERTIMER_H

