/*
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _CFIGHTTIMER_H
#define _CFIGHTTIMER_H




class CFightTimer : public CTimer
{
public:
	CFightTimer(CGame *,CTimerFactory *fac,CMobManager *,CCharacter *pAtt,CCharacter *pDef,long pulses);
	~CFightTimer();

	void Run();
	MyString GetType() { return "CFightTimer"; }
	MyString GetExtra();
	bool IsFighting(CCharacter *pCh);
	CCharacter *GetAttacker();
	CCharacter *GetDefender();
	CTimer *GetFightTimer(CCharacter *pCh);
	void KillChar(CCharacter *);
//	void StopAllFromFighting(CCharacter *);

private:
	CCharacter *m_pAttacker;
	CCharacter *m_pDefender;
	CMobManager *m_pMobManager;
	CGame *m_pGame;
};




#endif // _CFIGHTTIMER_H

