#ifndef _CNPCROGUE_H
#define _CNPCROGUE_H

#include "CNPC.h"
#include "CRogueClass.h"
#include "CMobAIManager.h"

class CNPCRogue : public CRogue, public CNPC
{
private:
	void DoInit();
protected:
	static CMobAIManager<CNPCRogue> m_MobAI;
	static bool m_bInitNpcRogue;
	static short RATE_MEMORY_ROGUE_FLEES;
protected:
	virtual short int CalcACWouldHit() {return CalcACMobWouldHit();}
	virtual void DoGeneralAI(const CInterp *pInterp);
	virtual bool GeneralOffense(const CInterp *pInterp);
	virtual bool GeneralDefense(const CInterp *pInterp);
	virtual void DoAIAttack(const CInterp *pInterp, CCharacter *pTarget);
public:
	CNPCRogue(CMobPrototype &mob, CRoom *pPutInRoom);
	virtual ~CNPCRogue();
	virtual short GetMaxHitPointsPerLevel();
	virtual void DoAI(const CInterp *pInterp);
};

#endif // _CNPCROGUE_H

