#ifndef _CNPCWARRIOR_H
#define _CNPCWARRIOR_H

#include "CNPC.h"
#include "CWarriorClass.h"
#include "CMobAIManager.h"

class CNPCWarrior : public CWarrior, public CNPC  
{
private:
	void DoInit();
protected:
	static CMobAIManager<CNPCWarrior> m_MobAI;
	static bool m_bInitNPCClass;
protected:
	virtual void DoGeneralAI(const CInterp *pInterp);
	virtual bool GeneralOffense(const CInterp *pInterp);
	virtual bool GeneralDefense(const CInterp *pInterp);
	virtual short int CalcACWouldHit() {return CalcACMobWouldHit();}
	virtual void DoAIAttack(const CInterp *pInterp, CCharacter *pTarget);
public:
	CNPCWarrior(CMobPrototype &mob, CRoom *pPutInRoom);
	virtual ~CNPCWarrior();
	virtual short GetMaxHitPointsPerLevel();
	virtual void DoAI(const CInterp *pInterp);
};

#endif // _CNPCWARRIOR_H

