#ifndef _MAPFORM_H
#define _MAPFORM_H

namespace cgi
{
typedef std::map<long,db::Room *> rooms_t;

class MapForm : public BaseForm
{
public:
	MapForm(Web *);
	~MapForm();

	void Process();
	void Select(const string &);
	void List();
	void Display(long = 0);

private:
	void CreatePicture(const string &,long,int);
	//
	long m_vzone;
	rooms_t m_vroom;
};

} // namespace

#endif // _MAPFORM_H
