
#ifndef _CDUNGEON_H
#define _CDUNGEON_H

#include "CGen.h"


class CGame;

class CDungeon : public CGen
{
public:
			CDungeon(CGame *,long,long x,long y,long z,long seed);
			~CDungeon();

  void			generate();
  void			display(int z);
  bool			connect_levels();
  void 			GetLargestArea(int z,CArea &area);
  bool			connect(CArea &,CArea &,int);
  void			implement(CRoom *);

  char			GetAt(sPos &);
  void			SetAt(sPos &,char);
  long			GetVnum(sPos &);
  long			GetVnumEnd();
  sPos			GetPosFromVnum(long);

  long			GetSizeZ() { return m_z; }
  long			GetSeed() { return m_seed; }

private:
  long			m_z;
  long			m_seed;
  char **		m_tmp;
  char			v[128];
  sPos			m_startpos;

};


#endif // _CDUNGEON_H

