/*
Copyright (C) 2003  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include "stdinclude.h"
// Database includes
#include <mysql/mysql.h>
#include <libsql++.h>
#include <libwolfshade.h>
//
#include "CGame.h"
#include "CManager.h"


CManager::CManager(CGame *game)
:m_pGame(game)
{
}


CManager::~CManager()
{
}


CGame *CManager::GetGame()
{
	return m_pGame;
}


Database *CManager::GetDatabase()
{
	return m_pGame -> GetDatabase();
}


bool CManager::UseDB()
{
	return m_pGame -> UseDB();
}


bool CManager::GenerateDB()
{
	return m_pGame -> GenerateDB();
}



