#ifndef _CMUTEX_H
#define _CMUTEX_H


class CMutex
{
public:
			CMutex() {
				pthread_mutex_init(&m_mutex, NULL);
			}
			~CMutex() {
				pthread_mutex_destroy(&m_mutex);
			}

  void			Lock() {
//printf("trylock..");
//fflush(stdout);
  				pthread_mutex_lock(&m_mutex);
//printf(" success!\n");
//fflush(stdout);
  			}
  void			Unlock() {
  				pthread_mutex_unlock(&m_mutex);
//printf("unlock!\n");
//fflush(stdout);
  			}

private:
  pthread_mutex_t	m_mutex;
};


#endif // _CMUTEX_H

