#ifndef _CSKILLINFO_H
#define _CSKILLINFO_H


class CCharIntermediate; //forward def
class CMobPrototype;
class CRoom;


class CSkillInfo
{

public:
  			CSkillInfo(int nSkillSet=0,byte nMax=0, byte nMin=0, byte nPct=0)
  			{m_nSkillSet=nSkillSet;m_nMax = MIN(nMax,MAX_SKILL_LEVEL);m_nMin = MIN(nMin,MAX_SKILL_LEVEL);m_nPct = nPct;} //npct can be .1 of a % too
  			CSkillInfo &operator=(const CSkillInfo &r)
  			{m_nSkillSet=r.m_nSkillSet;m_nMax = r.m_nMax;m_nMin = r.m_nMin;m_nPct = r.m_nPct;return *this;}
  			CSkillInfo (const CSkillInfo &r); //broke

  byte 			GetMax() const {return m_nMax;}
  byte 			GetPct() const {return m_nPct;}
  byte 			GetMin() const {return m_nMin;}
  bool 			CanLearn() const {return m_nMax!=0;}
  bool 			IsOfSet(int nSet) const {return (m_nSkillSet&nSet)==nSet ? true : false;}
  int 			GetSet() const {return m_nSkillSet;}

protected:

private:
  int 			m_nSkillSet; //Profeciency
  byte 			m_nMax, 
  			m_nPct, 
  			m_nMin;
};

#endif // _CSKILLINFO_H

