/*
Copyright (C) 2003  Anders Hedstrom

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include <stdio.h>
#include <stdlib.h>
#include <mysql/mysql.h>
#include <libsql++.h>
#include <string>
using std::string;
#include <libcgi++.h>
#include <libwolfshade.h>

#include "BaseForm.h"
#include "WolfshadeWeb.h"
//#include "CMemoryAllocator.h"
//#include "MyString.h"
#include "FelForm.h"


namespace cgi
{


FelForm::FelForm(Web *web)
:BaseForm(web, "felform")
,m_edit(0)
,m_error(false)
{
}


FelForm::~FelForm()
{
}


void FelForm::Process()
{
	char action[200];
	
	if (GetForm() -> getvalue("felform",action,200))
	{
	}
}


void FelForm::Select(const string &)
{
}


void FelForm::List()
{
}


void FelForm::Display(long)
{
//	WolfshadeWeb *web = static_cast<WolfshadeWeb *>(GetWeb());
	Database *db = GetDatabase();
	Query q(db);
	int opposite[] = {2,3,0,1,5,4};
	char sql[200];

	q.get_result("select * from room_door order by room");
	{
		Table tbl("#000000", 3, "&nbsp;Exits with no link back (might be ok)");

		printf("<tr bgcolor=#ffffff>");
		printf("<th>From Room</th>");
		printf("<th>Direction</th>");
		printf("<th>To Room</th>");
		printf("</tr>");
		while (q.fetch_row())
		{
			db::Room_door x(db,&q);
			db::Room_dir dir(db,x.direction);
			sprintf(sql,"select * from room_door where room=%ld and direction=%d and toroom=%ld",
				x.toroom,opposite[x.direction],x.room);
			db::Room_door y(db,sql);
			if (!y.num)
			{
				db::Room room1(db,x.room);
				db::Room room2(db,x.toroom);
				if (room2.num)
				{
					printf("<tr bgcolor=#808080>");
					ShowRoom(room1,true,true);
					printf("<td bgcolor=#c0c0c0 align=middle>&nbsp;%s&nbsp;</td>",dir.name);
					ShowRoom(room2,true,true);
					printf("</tr>");
				}
			}
		}
	}
	q.free_result();
}


} // namespace cgi


/*
INSERT INTO room_dir VALUES (0,'NORTH',1);
INSERT INTO room_dir VALUES (1,'EAST',3);
INSERT INTO room_dir VALUES (2,'SOUTH',2);
INSERT INTO room_dir VALUES (3,'WEST',4);
INSERT INTO room_dir VALUES (4,'UP',5);
INSERT INTO room_dir VALUES (5,'DOWN',6);
*/

