#ifndef STD_HEADER_H_
#define STD_HEADER_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <assert.h>
#include <time.h>
#include <sys/time.h>

// stream
#include <iostream>
#ifdef _WOLFSHADE_WINDOWS_
#include <strstrea.h>
#else
//#include <strstream>
#include <sstream>
#endif
#include <fstream>
using std::fstream;
using std::ifstream;
using std::ofstream;
using std::ios;
using std::istringstream;
using std::ostringstream;

// sock
#ifdef _WOLFSHADE_WINDOWS_
#pragma warning(disable: 4522)
#pragma warning(disable: 4250)
#pragma warning(disable: 4786)
#include <winsock2.h>
#define PRAGMAHDRSTOP
#else
#include "conf.h"
#endif

// STL
#include <vector>
#include <string>
#include <map>
using std::vector;
using std::string;
using std::map;


#include "constants.h"
#include "CMemoryAllocator.h"
#include "MyString.h"
#include "CError.h"
#include "CWolfshadeLog.h"
#include "MyList.h"
#include "MyMap.h"
#include "CLinkList.h"
#include "CAscii.h"
#include "CMudTime.h"
#include "CSpell.h"
#include "spell.save.h"
#include "money.h"
#include "affect.h"
#include "CObjectPrototype.h"
#include "CObject.h"
#include "CRacialReference.h"
#include "CMobPrototype.h"
#include "save.char.h"
#include "CAttributes.h"
#include "CCorpse.h"
#include "descriptor.h"
#include "CCharacterAttributes.h"
#include "CCharacter.h"
#include "CWorld.h"
#include "CTimerFactory.h"
#include "CTimer.h"


#endif // STD_HEADER_H_
