#!/bin/sh
#
if mysqldump -d wolfshade zone | grep -w size > /dev/null 2>/dev/null;
then
	echo 'size' finns i 'zone'
else
	echo adderar 'size' till 'zone'
	echo "alter table zone add column size integer default 0 not null" | mysql wolfshade
	echo "update zone set size=100" | mysql wolfshade
fi
#
if mysqldump -d wolfshade race | grep -w start_room > /dev/null 2>/dev/null;
then
	echo start_room finns i race
else
	echo adderar 'start_room' till 'race'
	echo "alter table race 
add column start_room integer default 0 not null, 
add column size integer default 0 not null;" | mysql wolfshade
fi
#
#  	int m_nInnate_ablities;
#  	short int m_nMinHeight,
#  		m_nMaxHeight,
#  		m_nMinWeight,
#  		m_nMaxWeight,
#  		m_nMinAge,
#  		m_nMaxAge,
#  		m_nStartingAlignment,
#  		m_pnSaves[TOTAL_SAVES],
#  		m_nRaceWar;
#
if mysqldump -d wolfshade race | grep -w abilities > /dev/null 2>/dev/null;
then
	echo abilities finns i race
else
	echo adderar 'abilities' till 'race'
	echo "alter table race 
add column abilities integer default 0 not null,
add column height_min integer default 0 not null,
add column height_max integer default 0 not null,
add column weight_min integer default 0 not null,
add column weight_max integer default 0 not null,
add column age_min integer default 0 not null,
add column age_max integer default 0 not null,
add column starting_alignment integer default 0 not null,
add column race_war integer default 0 not null;" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE innate' > /dev/null 2>/dev/null;
then
	echo innate finns
else
	cat sql/innate.fields | mysql wolfshade
fi
#
#const short CAttributes::SAVE_BREATH = 0;
#const short CAttributes::SAVE_PARA = 1;
#const short CAttributes::SAVE_SPELL = 2;
#const short CAttributes::SAVE_POISON = 3;
#
if mysqldump -d wolfshade race | grep -w save_breath > /dev/null 2>/dev/null;
then
	echo 'save_breath' finns i 'race'
else
	echo adderar 'save_'s till 'race'
	echo "alter table race
add column save_breath integer default 0 not null,
add column save_para integer default 0 not null,
add column save_spell integer default 0 not null,
add column save_poison integer default 0 not null;" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE race_size' > /dev/null 2>/dev/null;
then
	echo race_size finns
else
	echo 'race_size'
	cat sql/race_size.fields | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE char_autobrief' > /dev/null 2>/dev/null;
then
	echo char_autobrief finns
else
	echo skapar 'player' och 'char_autobrief'
	echo "CREATE TABLE player (
 num integer auto_increment not null,
 name varchar(255) default '' not null,
 primary key(num),
 unique(name));" | mysql wolfshade
	echo "CREATE TABLE char_autobrief (
 num integer auto_increment not null,
 player integer default 0 not null,
 zone integer default 0 not null,
 brief text,
 primary key(num),
 index(player,zone));" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE weapon' > /dev/null 2>/dev/null;
then
	echo weapon finns
else
	echo skapar 'weapon'
	echo "CREATE TABLE weapon (
	 num integer auto_increment not null,
	 name varchar(255) default '' not null,
	 twohand tinyint(1) default 0 not null,
	 str integer default 0 not null,
	 dam1 integer default 0 not null,
	 dam2 integer default 0 not null,
	 speed integer default 0 not null,
	 primary key(num));" | mysql wolfshade
	echo "INSERT INTO weapon values (0,'default',0,18,3,6,1);" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE account' > /dev/null 2>/dev/null;
then
	echo account finns
else
	echo skapar account
	echo "CREATE TABLE account (
	 num integer auto_increment not null,
	 login varchar(40) default '' not null,
	 password varchar(20) default '' not null,
	 email varchar(255) default '' not null,
	 primary key(num),
	 index(login,password));" | mysql wolfshade
	echo "alter table player
	 add column account integer default 0 not null,
	 add column slot integer default 0 not null,
	 add index(account,slot);" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE skill' > /dev/null 2>/dev/null;
then
	echo skill finns
else
	echo skapar skill
	echo "CREATE TABLE skill (
	 num integer default 0 not null,
	 msg0 varchar(255) default '' not null,
	 msg1 varchar(255) default '' not null,
	 msg2 varchar(255) default '' not null,
	 msg3 varchar(255) default '' not null,
	 msg4 varchar(255) default '' not null,
	 msg5 varchar(255) default '' not null,
	 msg6 varchar(255) default '' not null,
	 msg7 varchar(255) default '' not null,
	 msg8 varchar(255) default '' not null,
	 primary key(num));" | mysql wolfshade
fi
#
if mysqldump -d wolfshade skill | grep -w name > /dev/null 2>/dev/null;
then
	echo skill.name finns
else
	echo adderar skill.name
	echo "alter table skill
	 add column name varchar(255) default '' not null after num" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE spell' > /dev/null 2>/dev/null;
then
	echo spell,social,affect finns
else
	echo skapar spell,social,affect
	cat sql/spell.fields | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE resource' > /dev/null 2>/dev/null;
then
	echo resource finns
else
	echo skapar resource
	echo "CREATE TABLE resource (
	 num integer auto_increment not null,
	 name varchar(255) default '' not null,
	 skill integer default 0 not null,
	 primary key(num));" | mysql wolfshade
	echo "insert into resource values(0,'Wood',0);" | mysql wolfshade
	echo "insert into resource values(0,'Iron Ore',0);" | mysql wolfshade
	echo "insert into resource values(0,'Stone',0);" | mysql wolfshade
	echo "insert into resource values(0,'Wheat',0);" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE resource_speed' > /dev/null 2>/dev/null;
then
	echo resource_speed finns
else
	echo skapar resource_speed
	echo "CREATE TABLE resource_speed (
	 num integer auto_increment not null,
	 name varchar(255) default '' not null,
	 value integer default 0 not null,
	 primary key(num));" | mysql wolfshade
	echo "insert into resource_speed values(0,'Extremely slow',16);" | mysql wolfshade
	echo "insert into resource_speed values(0,'Slow',8);" | mysql wolfshade
	echo "insert into resource_speed values(0,'Normal',4);" | mysql wolfshade
	echo "insert into resource_speed values(0,'Fast',2);" | mysql wolfshade
	echo "insert into resource_speed values(0,'Very fast',1);" | mysql wolfshade
fi
#
if mysqldump -d wolfshade room | grep resource > /dev/null 2>/dev/null;
then
	echo resource finns i room
else
	echo adderar resource till room
	echo "alter table room
	 add column resource integer default 0 not null,
	 add column resource_speed integer default 0 not null;" | mysql wolfshade
fi
#
if mysqldump wolfshade room_bit | grep WORKSHOP > /dev/null 2>/dev/null;
then
	echo Room bit WORKSHOP exists
else
	echo Adding Room bit WORKSHOP
	echo "insert into room_bit values(16,'WORKSHOP');" | mysql wolfshade
fi
#
if mysqldump -d wolfshade weapon | grep skill > /dev/null 2>/dev/null;
then
	echo weapon.skill finns
else
	echo adderar weapon.skill
	echo "alter table weapon add column skill integer default 0 not null;" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE obj_resource' > /dev/null 2>/dev/null;
then
	echo obj_resource finns
else
	echo skapar obj_resource
	echo "CREATE TABLE obj_resource (
	 num integer auto_increment not null,
	 obj integer default 0 not null,
	 resource integer default 0 not null,
	 amount integer default 0 not null,
	 primary key(num),
	 index(obj));" | mysql wolfshade
fi
#
if mysqldump -d wolfshade resource | grep alias > /dev/null 2>/dev/null;
then
	echo alias finns i resource
else
	echo adderar alias till resource
	echo "alter table resource
	 add column alias varchar(255) default '' not null" | mysql wolfshade
fi
#
if mysqldump -d wolfshade resource | grep low_price > /dev/null 2>/dev/null;
then
	echo low_price finns i resource
else
	echo adderar low_price till resource
	echo "alter table resource
	 add column low_price integer default 0 not null,
	 add column high_price integer default 0 not null,
	 add column low_count integer default 0 not null,
	 add column high_count integer default 0 not null;" | mysql wolfshade
fi
#
if mysqldump -d wolfshade resource | grep base_resource > /dev/null 2>/dev/null;
then
	echo base_resource finns i resource
else
	echo adderar base_resource till resource
	echo "alter table resource
	 add column base_resource integer default 0 not null;" | mysql wolfshade
fi
#
#if mysqldump -d wolfshade | grep 'CREATE TABLE obj_pic' > /dev/null 2>/dev/null;
#then
#	echo obj_pic finns
#else
#	echo skapar obj_pic
#	echo "CREATE TABLE obj_pic (
#	 num integer auto_increment not null,
#	 obj integer default 0 not null,
#	 pic mediumtext,
#	 primary key(num),
#	 index(obj));" | mysql wolfshade
#fi
#
#if mysqldump -d wolfshade obj_pic | grep -w ext > /dev/null 2>/dev/null;
#then
#	echo ext finns i obj_pic
#else
#	echo adderar ext till obj_pic
#	echo "alter table obj_pic
#	 add column ext varchar(255) default '' not null after obj" | mysql wolfshade
#fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE pic' > /dev/null 2>/dev/null;
then
	echo pic finns
else
	echo skapar pic
	echo "CREATE TABLE pic (
	 num integer auto_increment not null,
	 ext varchar(255) default '' not null,
	 pic mediumtext,
	 primary key(num));" | mysql wolfshade
fi
#
if mysqldump -d wolfshade obj | grep -w pic > /dev/null 2>/dev/null;
then
	echo pic finns i obj
else
	echo adderar pic till obj
	echo "alter table obj
	 add column pic integer default 0 not null" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE vmap' > /dev/null 2>/dev/null;
then
	echo vmap finns
else
	echo skapar vmap
	echo "CREATE TABLE vmap (
	 num integer auto_increment not null,
	 vzone integer default 0 not null,
	 level integer default 0 not null,
	 pic integer default 0 not null,
	 map mediumtext,
	 primary key(num),
	 index(vzone,level));" | mysql wolfshade
fi
#
if mysqldump -d wolfshade vzone | grep sizez > /dev/null 2>/dev/null;
then
	echo sizez finns i vzone
else
	echo adderar sizez till vzone
	echo "alter table vzone
	 add column type integer default 0 not null after name,
	 add column sizez integer default 0 not null after sizey,
	 add column seed integer default 0 not null,
	 add column temporary tinyint(1) default 0 not null;" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE vzone_type' > /dev/null 2>/dev/null;
then
	echo vzone_type finns
else
	echo skapar vzone_type
	cat sql/vzone_type.fields | mysql wolfshade
fi
#
if mysqldump -d wolfshade vzone | grep roomvnum > /dev/null 2>/dev/null;
then
	echo roomvnum finns i vzone
else
	echo adderar roomvnum till vzone
	echo "alter table vzone
	 add column roomvnum integer default 0 not null" | mysql wolfshade
fi
#
if mysqldump -d wolfshade | grep 'CREATE TABLE vroom' > /dev/null 2>/dev/null;
then
	echo tar bort tabell 'vroom'
	echo "drop table vroom" | mysql wolfshade
else
	echo 'vroom' redan borta..
fi
#
if mysqldump -d wolfshade account | grep avail_races > /dev/null 2>/dev/null;
then
	echo avail_races finns i account
else
	echo skapar 'avail_races' i account
	echo "alter table account
	 add column avail_races varchar(255) default 'X00100000000000000001'
not null" | mysql wolfshade
fi
#
if mysqldump -d wolfshade player | grep -w race > /dev/null 2>/dev/null;
then
	echo race finns i player
else
	echo adderar race,class till player
	echo "alter table player
	 add column race integer default 0 not null,
	 add column pclass integer default 0 not null,
	 add column sex integer default 0 not null" | mysql wolfshade
fi
#
